> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plutus.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit System Build



## OpenAPI

````yaml POST /submit/system
openapi: 3.1.0
info:
  title: 'Asclepius: API'
  description: Internal REST API for the Asclepius Molecular Dynamics Engine
  termsOfService: http://example.com/terms/
  contact:
    name: Support Team
    url: https://www.vorticity.xyz/
    email: hello@vorticity.xyz
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: 0.1.0
servers:
  - url: https://98i2es6mi4.execute-api.us-west-2.amazonaws.com/prod
    description: Prod
security:
  - ApiKeyAuth: []
paths:
  /submit/system:
    post:
      summary: Submit System
      operationId: submit_system_submit_system_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BoxCreateParams'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BoxCreateParams:
      properties:
        box_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Box Name
          description: Human-friendly name for the simulation box
        box_shape:
          anyOf:
            - $ref: '#/components/schemas/BoxShapes'
            - type: 'null'
          description: >-
            Shape of the simulation box, e.g., 'cube', 'octahedron', or
            'dodecahedron'
        chain_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Chain Id
          description: Protein chain identifier (e.g., 'A')
        concentration:
          anyOf:
            - type: number
            - type: 'null'
          title: Concentration
          description: Ion concentration (in mol/L) to achieve during system solvation
        force_field:
          anyOf:
            - type: string
            - type: 'null'
          title: Force Field
          description: Force field to apply during box preparation
        ions:
          anyOf:
            - $ref: '#/components/schemas/SolventIons'
            - type: 'null'
          description: Type of solvent ions
        keep_Hs:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Keep Hs
          description: Whether to preserve existing hydrogens in the input structure
        ligand_input_formats:
          anyOf:
            - items:
                type: string
                enum:
                  - pdb
                  - sdf
              type: array
            - type: 'null'
          title: Ligand Input Formats
          description: >-
            List of input file formats corresponding to provided ligands, e.g.,
            ['pdb', 'sdf']
        ligand_residue_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ligand Residue Names
          description: >-
            Residue names assigned to each ligand in the topology (e.g., ['LIG',
            'DRG'])
        ligand_rotations:
          anyOf:
            - items:
                prefixItems:
                  - type: number
                  - type: number
                  - type: number
                type: array
                maxItems: 3
                minItems: 3
              type: array
            - type: 'null'
          title: Ligand Rotations
          description: List of (x, y, z) rotation angles in degrees to apply to each ligand
        ligand_translations:
          anyOf:
            - items:
                prefixItems:
                  - type: number
                  - type: number
                  - type: number
                type: array
                maxItems: 3
                minItems: 3
              type: array
            - type: 'null'
          title: Ligand Translations
          description: >-
            List of (x, y, z) translation offsets in Angstroms to apply to each
            ligand
        ligands:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ligands
          description: List of file IDs to be included in the system
        membrane:
          anyOf:
            - $ref: '#/components/schemas/MembraneModels'
            - type: 'null'
          description: Membrane model if creating a membrane-embedded system
        minimum_padding:
          anyOf:
            - type: number
            - type: 'null'
          title: Minimum Padding
          description: Minimum distance (in Å) to the edge of the simulation box
        pH:
          anyOf:
            - type: number
            - type: 'null'
          title: Ph
          description: Target pH value
        protein:
          anyOf:
            - type: string
            - type: 'null'
          title: Protein
          description: File ID of the protein structure to place in the system
        water_type:
          anyOf:
            - type: string
              enum:
                - TIP3P
                - SPC/E
                - OPC3
            - type: 'null'
          title: Water Type
          description: The water model to use, e.g., 'TIP3P'
      type: object
      title: BoxCreateParams
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BoxShapes:
      type: string
      enum:
        - cube
        - octahedron
        - dodecahedron
      title: BoxShapes
    SolventIons:
      type: string
      enum:
        - NaCl
        - KCl
      title: SolventIons
    MembraneModels:
      type: string
      enum:
        - NONE
        - POPC
        - POPE
        - DLPC
        - DLPE
        - DMPC
        - DOPC
        - DPPC
      title: MembraneModels
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````